let mix = require('laravel-mix');
let tailwindcss = require('tailwindcss');
let atImport = require("postcss-import");
let nested = require("postcss-nested");

if (mix.inProduction()) {
    mix.version();
} else {
    mix.sourceMaps();
}

mix.setPublicPath('assets/public');
mix.setResourceRoot('/wp-content/plugins/stepper/assets/public/');

mix.postCss('assets/css/app.css', 'app.css', [
        atImport(),
        nested,
        tailwindcss('./tailwind.config.js'),
]).js('assets/js/app.js', 'app.js').vue();

